> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arc.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Return a single certificates

> Returns a single certificates object using the specified key.



## OpenAPI

````yaml 26.4/self-hosted/en/api-reference/openapi.json GET /certificates('{Name}')
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.4.9790.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Base URL of your Arc instance, including scheme and application path
          (e.g. https://arc.example.com/api.rsc).
security: []
paths:
  /certificates('{Name}'):
    get:
      tags:
        - certificates
      summary: Return a single certificates
      description: Returns a single certificates object using the specified key.
      operationId: getcertificates
      parameters:
        - name: Name
          in: path
          description: The key Name
          required: true
          schema:
            type: string
        - name: $select
          in: query
          schema:
            type: string
          description: Select structural property
      responses:
        '200':
          description: certificates response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/certificates'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    certificates:
      type: object
      properties:
        Name:
          description: The certificate file name, such as myCert.pfx or publicCert.pub.
          type: string
        Data:
          description: >-
            The Base64-encoded contents of the certificate file. Required when
            using POST to create a certificate. It must contain all properties
            you want to include in the certificate. 
          type: string
        ConnectorIds:
          description: >-
            A list of all connector Ids that are configured to use the
            certificate. This and the following readonly parameters provide an
            explanation of the properties that are included in the response from
            the API. You cannot use them to set properties when creating a
            certificate. All properties except Name must be defined in the Data
            parameter.
          type: string
        Category:
          description: The certificate category (Public or Private).
          type: string
        SignatureAlgorithm:
          description: The algorithm used to sign the certificate.
          type: string
        Serialnumber:
          description: The certificate serial number.
          type: string
        ExpirationDate:
          description: The date on which the certificate expires.
          type: string
        EffectiveDate:
          description: The effective date of the certificate.
          type: string
        Keysize:
          description: The certificate key size.
          type: string
        AssociatedResource:
          description: >-
            The list of connectors, profiles, and shared connections configured
            to use the certificate.
          type: string
        Issuer:
          description: The certificate issuer.
          type: string
        Subject:
          description: The certificate subject.
          type: string
        IssuedBy:
          description: The common name (CN) of the certificate issuer.
          type: string
        ExpirationDays:
          description: The number of days until the certificate expires.
          type: integer
          format: int32
        IssuedTo:
          description: The CN of the certificate subject.
          type: string
        Thumbprint:
          description: The certificate SHA1 thumbprint.
          type: string
        StoreType:
          description: The store type, such as PFX, Private, or Public.
          type: string
      required:
        - Name
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.